Subject: Who's allowed to set a skb destructor?

From: Brice Goglin <[email-masked]>
Date: Wed, 04 Jul 2007 10:04:54 +0200

Hi,

I am trying to understand whether I can setup a skb destructor in my
code (which is basically a protocol above dev_queue_xmit() and co). From
what I see in many parts in the current kernel code, the "protocol" (I
mean, the one who actually creates the skb) may setup a destructor.

However, I also see some places where some low-level drivers might be
using a destructor too , without apparently checking whether an upper
layer already uses one. For instance, write_ofld_wr() in cxgb3/sge.c. I
found some old threads about adding support for multiple destructors but
I don't see anything like this in the current kernel.

So, I'd like to have a clear statement about who's allowed to use a
destructor :)

Thanks,
Brice